import subprocess
import re

def alpha(file):
    result = subprocess.run(["convert", file, "-resize", "1x1", "-format", "%[fx:int(255*a+.5)]", "info:-"], capture_output=True)
    result.check_returncode()
    return int(result.stdout)

def flip(file, output):
    result = subprocess.run(['convert', '-flip', file, output], capture_output=True)
    result.check_returncode()
    
def nvcompress(format, file, output):
    result = subprocess.run(['nvcompress', format, file, output], capture_output=True)
    result.check_returncode()
    print(result)
    
def nvdecompress(file, output):
    result = subprocess.run(['nvdecompress', '-format', 'png', file, output], capture_output=True)
    result.check_returncode()

def nvinfo(file):
    result = subprocess.run(['nvddsinfo', file], capture_output=True)
    result.check_returncode()
    
    info = {
        "format": re.search(r"FourCC: '(.{4})'", str(result.stdout)).group(1)
    }
    
    return info